{if isset($block_blog_entries) && $block_blog_entries}
	{if $config.blog_display_grid}
	<div class="ia-items blogroll-grid">
		<div class="row-fluid">
		{foreach $block_blog_entries as $one_blog_entry}
			<div class="span4">
				<div class="ia-item-grid">
					{if $one_blog_entry.image}
						<a href="{$smarty.const.IA_URL}blog/{$one_blog_entry.id}-{$one_blog_entry.alias}">{printImage imgfile=$one_blog_entry.image alt=$one_blog_entry.title}</a>
						<div class="info">
							<h3><a href="{$smarty.const.IA_URL}blog/{$one_blog_entry.id}-{$one_blog_entry.alias}" id="blog_{$one_blog_entry.id}">{$one_blog_entry.title|truncate:25:'...'}</a></h3>
							<p class="date">{$one_blog_entry.date_added|date_format:$config.date_format}</p>
						</div>
					{else}
						<div class="info">
							<h3><a href="{$smarty.const.IA_URL}blog/{$one_blog_entry.id}-{$one_blog_entry.alias}" id="blog_{$one_blog_entry.id}">{$one_blog_entry.title|truncate:25:'...'}</a></h3>
							<p class="date">{$one_blog_entry.date_added|date_format:$config.date_format}</p>
							<p Class="body">{$one_blog_entry.body|truncate:$config.blog_max_block:'...'|strip_tags}</p>
						</div>
					{/if}
				</div>
			</div>

			{if $one_blog_entry@iteration % 3 == 0}
				</div>
				<div class="row-fluid">
			{/if}
		{/foreach}
		</div>
		<div class="panel panel--clean">
			<a href="{$smarty.const.IA_URL}blog/" class="btn btn-primary btn-plain">{lang key='view_all_blog_entries'}</a>
		</div>
	</div>
	{else}
		<div class="ia-items blogroll">
			{foreach $block_blog_entries as $one_blog_entry}
				<div class="blogroll__item">
					{if $one_blog_entry.image}
						<a href="{$smarty.const.IA_URL}blog/{$one_blog_entry.id}-{$one_blog_entry.alias}" class="blogroll__item__image">{printImage imgfile=$one_blog_entry.image class='media-object' title=$one_blog_entry.title fullimage=true}</a>
					{/if}

					<div class="blogroll__item__header">
						<p class="date">{$one_blog_entry.date_added|date_format:$config.date_format}</p>
						<h4><a href="{$smarty.const.IA_URL}blog/{$one_blog_entry.id}-{$one_blog_entry.alias}" id="blog_{$one_blog_entry.id}">{$one_blog_entry.title}</a></h4>
					</div>
					<div class="ia-item-body">{$one_blog_entry.body|truncate:$config.blog_max_block:'...'|strip_tags}</div>
					<a href="{$smarty.const.IA_URL}blog/{$one_blog_entry.id}-{$one_blog_entry.alias}" class="read-on"><i class="icon-eye-open"></i></a>
				</div>
			{/foreach}
		</div>
	{/if}
{else}
	<div class="alert alert-info">{lang key='no_blog_entries'}</div>
{/if}